[solved]: dagent stopped working Kopano 8.6.80.45_0

Hi folks,
I upgraded my kopano 8.5 today and used the latest nightlies from today.

Now I cannot deliver emails to my kopano server. To be more exact, postfix communication with dagent is interrupted (internal error), because there seems to be a problem with dagent / php / mapi:

Mon Mar 19 20:42:59 2018: [error  ] [17329]   Python type: (null)
Mon Mar 19 20:42:59 2018: [error  ] [17329]   Python error: /usr/lib/libmapi.so.1: version `KC_8.6.80' not found (required by /usr/lib/python2.7/dist-packages/_MAPICore.so)
Mon Mar 19 20:42:59 2018: [error  ] [17329]   Python trace: /usr/lib/python2.7/dist-packages/MAPI/__init__.py(1) <module>
Mon Mar 19 20:42:59 2018: [error  ] [17329]   Python trace: /usr/lib/python2.7/dist-packages/MAPICore.py(11) <module>
Mon Mar 19 20:42:59 2018: [error  ] [17329]   Python trace: /usr/lib/python2.7/dist-packages/MAPICore.py(13) swig_import_helper
Mon Mar 19 20:42:59 2018: [crit   ] [17329] K-1731: Unable to initialize the dagent plugin manager: Unknown error code (1).

Is there a solution?

Running Kopano at Debian Stretch (which is up to date) PHP Version 7.

Thanks a lot!

You still need to restart kopano-dagent. This currently does not happen and is still pending a fix.

Hi Felix,
thanks for your answer!

Damn I did not remember this!

Finally a serverrestart fixed it - which is in fact a dagent restart too!